Page MenuHomePhabricator

Localize numerals of the ckb language on XTools
Closed, ResolvedPublic

Description

I mentioned this issue in T185908, where @MusikAnimal tried to fix it. For the Persian version, it was fixed, but for Kurdish neglected. We use the same Hindu-Arabic numerals used in the Arabic language version of XTools, see here: https://xtools.wmflabs.org/ec/ckb.wikipedia.org/Épine?uselang=ar
The numerals are supposed to be Hindu-Arabic like that, not the westernized Arabic currently used.

Event Timeline

Epine created this task.Jan 11 2019, 12:05 AM
Epine added a comment.EditedJan 11 2019, 12:12 AM

Also, since we’re at it, [[MediaWiki:Gadget-XTools-ArticleInfo.js|this tool]] developed by @MusikAnimal also uses the wrong semicolon (;) and coma (,) they should be switched to (،) and (؛) same as Arabic/Persian/Urdu.

MusikAnimal moved this task from Inbox to Other on the XTools board.Jan 11 2019, 12:58 AM

I'm more than happy to give this another go. And thanks for pointing out the issue with ArticleInfo gadget!

Epine added a comment.Jan 11 2019, 1:04 AM

Thank you @MusikAnimal. That tool has another issue (in ckb at least) regarding class articles (FA & GA), It doesn’t show the star icons, even though they’re added on Wikidata. Hopefully you can also take care of this along with the previous issue.

Epine updated the task description. (Show Details)Jan 11 2019, 1:06 AM

That tool has another issue (in ckb at least) regarding class articles (FA & GA), It doesn’t show the star icons, even though they’re added on Wikidata.

That data is actually coming from Extension:PageAssessments, which is only on a handful of wikis. Kurdish Wikipedia may be a good candidate, if their system is similar to others such as English and Arabic, where there is a parent template from which is used in all WikiProject templates. If you can confirm this, let me know and I'll see about getting PageAssessments deployed.

Querying Wikidata is an option, but from my experience it isn't as reliable, and it only includes FA/GA and not other assessment levels.

Epine added a comment.EditedJan 11 2019, 2:24 AM

That tool has another issue (in ckb at least) regarding class articles (FA & GA), It doesn’t show the star icons, even though they’re added on Wikidata.

That data is actually coming from Extension:PageAssessments, which is only on a handful of wikis. Kurdish Wikipedia may be a good candidate, if their system is similar to others such as English and Arabic, where there is a parent template from which is used in all WikiProject templates. If you can confirm this, let me know and I'll see about getting PageAssessments deployed.
Querying Wikidata is an option, but from my experience it isn't as reliable, and it only includes FA/GA and not other assessment levels.

FA and GA are the only class articles in ckb, along with FP (which is not a necessary data for portals), so if the code is tweaked for us so the data is pulled from Wikidata, I would very much appreciate it. Generally the structure of the ckb wiki is extremely similar to en wiki, but for me to create and translate all those messages is rather tedious right now, especially since I’m working on localizing Twinkle right now.

Calak added a comment.Jan 13 2019, 8:14 PM

There is no consensus for this request in ckb wikipedia.

Epine added a comment.EditedJan 13 2019, 10:26 PM

@Calak not directly per se, but this policy (which was written in consensus of the community) clearly states that the standard numerals for the Central Kurdish Writing System is Hindo-Arabic (١٢٣٤٥٦٧٨٩٠) and the policy clearly dictates that Persian/Westernized Arabic should not be used. Also, a message was posted on the Village Pump alerting the community of the change, no one voted against except you, but your reasoning for being against this rational request is quite unclear. You simply voted against and stated that this issue should not be patched without the consensus of the community.

I also called upon other users to join the discussion should we need them to vote in support to “nullify” @Calak’s vote for against. Though I’d say it’s not something to consider since his comment is really irrelevant to the issue, but let’s let the bureaucratic process take place anyway. In my opinion, there is no need for consensus on something there’s already consensus on.

Interesting. For XTools, all we care about is delivering the same numerical system used by default in your language. I quickly checked https://ckb.wikipedia.org/wiki/تایبەت:ئامارەکان?uselang=ckb and it would appear numerical values are shown with ١٢٣٤٥٦٧٨٩٠, as @Epine describes. Let me know if I'm missing something.

@MusikAnimal: we are on the right track, maybe @Calak misunderstood the request. I hope he can explain his comment, otherwise we can safely disregard it as there’s a local policy backing this request in the first place.

Calak added a comment.Jan 14 2019, 7:30 AM

Sorry for misunderstanding. Yes our local numeral system is Hindu–Arabic (i.e ١٢٣٤٥٦٧٨٩٠, don't confuse with Eastern Arabic numerals ۱۲۳۴۵۶۷۸۹۰).

Epine added a comment.Jan 14 2019, 9:36 AM

@Calak, that’s why I mentioned a link to the Arabic version of XTools, they use the numeral system we use there, so @MusikAnimal can get the code and patch it for us. That being said, I think we’re good to go, @MusikAnimal. I hope you can get back on this soon. Regards.

Epine assigned this task to MusikAnimal.Jan 14 2019, 9:41 AM
Epine updated the task description. (Show Details)
MusikAnimal moved this task from Other to Pending deployment on the XTools board.Feb 19 2019, 5:36 AM
MusikAnimal closed this task as Resolved.Apr 15 2019, 5:00 PM
MusikAnimal moved this task from Pending deployment to Complete on the XTools board.